#include <stdio.h>
#include <math.h>
#include <stdlib.h>

int main()
{
    int T;
    scanf("%d", &T);
    for (int i = 0; i < T; i++)
    {
        int M, N;
        scanf("%d%d", &M, &N);
        int A[M];
        int B[N];
        if (M == 2)
        {
            printf("1\n");
        }
        else
        {
            for(int i = 0; i < M; i++)
            {
                if (abs(A[i] - A[i + 1]) == abs(A[i + 1] - A[i + 2]))
                {
                    printf("1\n");
                }
                else
                {
                    printf("0\n");
                }
            }
        }

    }
    return 0;
}